Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.object
Class MappingSqlQueryWithParameters.RowMapperImpl

    java.lang.Object
      org.springframework.jdbc.object.MappingSqlQueryWithParameters.RowMapperImpl

All Implemented Interfaces:
  RowMapper

Enclosing class:
  MappingSqlQueryWithParameters

    protected class MappingSqlQueryWithParameters.RowMapperImpl

extends Object
implements RowMapper

Implementation of RowMapper that calls the enclosing class's `mapRow` method for each row.

Constructor Summary
`MappingSqlQueryWithParameters.RowMapperImpl(Object[] parameters, Map context)` Use an array results.

Method Summary
`Object` | `mapRow(ResultSet rs, int rowNum)` Implementations must implement this method to map each row of data in the ResultSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingSqlQueryWithParameters.RowMapperImpl

    public MappingSqlQueryWithParameters.RowMapperImpl(Object[] parameters,
                                                       Map context)

  Use an array results. More efficient if we know how many results to expect.

Method Detail

### mapRow

    public Object mapRow(ResultSet rs,
                         int rowNum)
                  throws SQLException

  Description copied from interface: `RowMapper`
  Implementations must implement this method to map each row of data in the ResultSet. This method should not call `next()` on the ResultSet; it is only supposed to map values of the current row.

  Specified by:
    `mapRow` in interface `RowMapper`
  Parameters:
    `rs` - the ResultSet to map (pre-initialized for the current row)
    `rowNum` - the number of the current row
  Returns:
    the result object for the current row
  Throws:
    `SQLException` - if a SQLException is encountered getting column values (that is, there's no need to catch SQLException)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.